Get supported trading pairs for an account
Retrieve all asset trading pairs supported by a specific connected account, including the pair type (quote, market, onOffRamp).
Note: This endpoint is currently in beta and might be subject to changes.
GET
/
connected_accounts
/
{accountId}
/
manifest
/
capabilities
/
trading
/
pairs
TypeScript
const response: Promise<FireblocksResponse<ConnectedAccountTradingPairsResponse>> = fireblocks.connectedAccountsBeta.getConnectedAccountTradingPairs(connectedAccountsBetaApiGetConnectedAccountTradingPairsRequest);CompletableFuture<ApiResponse<ConnectedAccountTradingPairsResponse>> response = fireblocks.connectedAccountsBeta().getConnectedAccountTradingPairs(accountId, pageSize, pageCursor);response = fireblocks.connected_accounts_beta.get_connected_account_trading_pairs(account_id, page_size, page_cursor);curl --request GET \
--url https://api.fireblocks.io/v1/connected_accounts/{accountId}/manifest/capabilities/trading/pairsconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/connected_accounts/{accountId}/manifest/capabilities/trading/pairs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "ea6c3cb7-355a-4ee3-82ff-267c69970210",
"baseAssetId": "BTC",
"quoteAssetId": "USD",
"supportedTypes": [
"MARKET"
]
},
{
"id": "ea6c3cb7-355a-4ee3-82ff-267c69970211",
"baseAssetId": "ETH",
"quoteAssetId": "USDC",
"supportedTypes": [
"QUOTE",
"MARKET"
]
}
],
"total": 2,
"next": null
}{
"message": "<string>",
"code": 123
}Path Parameters
The ID of the account to fetch supported pairs for.
Minimum string length:
1Query Parameters
Page size for pagination.
Required range:
1 <= x <= 100Page cursor for pagination.
Response
Supported pairs response
Show child attributes
Show child attributes
Example:
[
{
"id": "ea6c3cb7-355a-4ee3-82ff-267c69970210",
"baseAssetId": "BTC",
"quoteAssetId": "USD",
"supportedTypes": ["MARKET"]
},
{
"id": "ea6c3cb7-355a-4ee3-82ff-267c69970211",
"baseAssetId": "ETH",
"quoteAssetId": "USDC",
"supportedTypes": ["QUOTE", "MARKET"]
}
]
Total number of asset pairs matching the query.
Example:
2
A cursor for the next page of results, if available.
Example:
null
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<ConnectedAccountTradingPairsResponse>> = fireblocks.connectedAccountsBeta.getConnectedAccountTradingPairs(connectedAccountsBetaApiGetConnectedAccountTradingPairsRequest);CompletableFuture<ApiResponse<ConnectedAccountTradingPairsResponse>> response = fireblocks.connectedAccountsBeta().getConnectedAccountTradingPairs(accountId, pageSize, pageCursor);response = fireblocks.connected_accounts_beta.get_connected_account_trading_pairs(account_id, page_size, page_cursor);